<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Transporte"
                widgetVar="Editarregistro"
                modal="true"
                resizable="false"
                closable="true"
                width="650" >
                <h:panelGroup id="detalleEditar">
                    <br/><br/>
                    <h:form id="edit">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <p:inputText value="#{transporteMB.registroSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{transporteMB.registroSeleccionado.id}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                            </p:column>

                            <p:column>
                                <h:outputLabel for="numerotermo" value="Número Termo: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numerotermo" value="#{transporteMB.registroSeleccionado.numerotermo}" style="width: 350px" required="true" requiredMessage="El campo número de termo es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="numerosello" value="Número Sello: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numerosello" value="#{transporteMB.registroSeleccionado.numerosello}" style="width: 350px" required="true" requiredMessage="El campo número de sello es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="lector_temp" value="Lector Temperatura: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="lector_temp" value="#{transporteMB.registroSeleccionado.lector_temp}"  style="width: 350px"  required="true" requiredMessage="El campo lector de temperatura es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="lote" value="Lote:  " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="lote" value="#{transporteMB.registroSeleccionado.lote}" style="width: 350px" required="true" requiredMessage="El campo lote es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="fecha" value="Fecha: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:calendar id="fecha" value="#{transporteMB.registroSeleccionado.fechat}"  style="width: 350px" pattern="yyyy-MM-dd" mask="true" />
                            </p:column> 
                            
                            <p:column>
                                <h:outputLabel for="transportista" value="Transportista: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                
                                <p:selectOneMenu id="perfil"  value="#{transporteMB.registroSeleccionado.idtransportista}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{transporteMB.transportistas}"
                                    var="registrop"
                                    itemLabel="[#{registrop.id}]  .-  #{registrop.nombre} #{registrop.placas}"
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="cliente" value="Cliente: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                
                                <p:selectOneMenu id="cliente"  value="#{transporteMB.registroSeleccionado.idcliente}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{transporteMB.clientes}"
                                    var="registrop"
                                    itemLabel="[#{registrop.id}]  .-  #{registrop.nombre} #{registrop.apellidos}"
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu>  
                            </p:column>
                            
                            <p:column>
                                <p:commandButton 
                                    value="Modificar" 
                                    icon="ui-icon-circle-plus" style="font-size:  100%"
                                    action="#{transporteMB.editarRegistro
                                              (transporteMB.idtransportista,
                                              transporteMB.registroSeleccionado.idcliente,
                                              transporteMB.registroSeleccionado.idtransportista)}">                        
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close"
                                    style="font-size:  100%"
                                    onclick="PF('Editarregistro').hide();">
                                </p:commandButton>
                            </p:column>
                            
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
